/* Copyright (C) 2002 GFRN systems

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.

   The latest version of this program may be found at
   http://CQiNet.sourceforge.net

   $Log: configfile.h,v $
   Revision 1.1.1.1  2002/10/06 17:00:22  wb6ymh
   Move common header files to inc subdirectory from src.

   Revision 1.2  2002/09/14 16:46:42  wb6ymh
   Added return error codes to set functions.

   Revision 1.1.1.1  2002/08/10 20:33:41  wb6ymh
   initial import

*/

#ifndef CONFIGFILE_H_
#define CONFIGFILE_H_

struct config_entry {
   char *var_name;      // variable name
   char *var_type;      // variable type
   void *var_ptr;       // pointer to variable
   char required;       // set to TRUE to force error if not in config file
   char set;            // set to TRUE if variable was found in config file
   int (*SetFunc)(struct config_entry *p, char *Arg);
};


#define  CONFIG_OPEN_ERROR       1  // specified configuration file not found
#define  CONFIG_REQUIRED_MISSING 2  // required variable was not set
#define  BAD_VALUE               3  // variable couldn't be assigned

void SetConfigDefaults(int bSet);
int read_config(char *filename,struct config_entry *config_vars);
int ReReadConfig();

#endif
